<?php

session_start();

if (($_SESSION['hb'] == "") || ($_SESSION['hp'] == "")) {
$benutzer=$_POST["benutzer"];
$passwort=$_POST["passwort"];
$_SESSION['hb'] = $benutzer;
$_SESSION['hp'] = $passwort;
$_SESSION['KundeOk']="1";
}else{
$benutzer=$_SESSION['hb'];
$passwort=$_SESSION['hp'];
}

$filename = dirname($_SERVER["PATH_TRANSLATED"]) . "/kunden.txt";

if (is_writable($filename)== FALSE) {
print "Die Kundendatei ist im Moment nicht beschreibbar";
exit;
}

if (!$fd = fopen($filename, "r+")) {
print "Kann im Moment die Kundendatei nicht öffnen";
exit;
}

if (($benutzer == "") || ($passwort == "")) {
echo "Tragen Sie bitte Ihren Benutzernamen ein!";
echo "<meta http-equiv='refresh' content='2; URL=../Kunden_Loggin.htm'>";
exit;
}

$content=fread($fd,filesize($filename));

$foundb = strstr($content, $benutzer);
$foundp = strstr($content, $passwort);
$posb = strpos($content, $benutzer);
$posp = strpos($content, $passwort);

$abstand = $posp-$posb;


if (($abstand >= 50)||($abstand < 0))  {
echo "<BR>Fehler: " . $abstand . " Sie besitzen keine Berechtigung!";
$_SESSION['hb'] = "";
$_SESSION['hp'] = "";
$_SESSION['KundeOk']="0";
echo "<meta http-equiv='refresh' content='2; URL=../Kunden_Loggin.htm'>";
exit;
}



echo "<meta http-equiv='refresh' content='2; URL=../bestellung/kategorie.php'>";

?>